Detection

## Namespaces

| utl
| STL's core language concepts.

## Typedefs

template<typename... >
using | utl::meta::void_ = void
| void_ type alias More...
template<typename... >
using | utl::meta::void_t = void
| void_t type alias More...

## Detailed Description

Detection idiom support header.

## Typedef Documentation

## void_

template<typename... >

using utl::meta::void_ = typedef void

void_ type alias

void_t meta-function that maps a sequence of any types to the type void

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/detection.h.

Definition at line 53 of file detection.h.

## void_t

template<typename... >

using utl::meta::void_t = typedef void

void_t type alias

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/detection.h, W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h, and W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 55 of file detection.h.